try:
    from hashlib import sha1 as sha
except ImportError:
    from sha import sha

from qommon.storage import StorableObject
from qommon.ident.password import make_password

class ParticipantToken(StorableObject):
    _names = 'participant-tokens'

    token = None

    def __init__(self, formdef_id, user_id):
        StorableObject.__init__(self, '%s-%s' % (formdef_id, user_id))

    def generate_token(self):
        token = make_password(10, 10)
        token = sha(token).hexdigest().upper()[:12]
        self.token = sha(token).hexdigest()
        return token

    def check(self, token):
        return sha(token.upper().replace('-', '')).hexdigest() == self.token

    def get_user_id(self):
        return self.id.split('-', 1)[-1]
    user_id = property(get_user_id)

